split(1)

NAME
split - Create output files containing consecutive or interleaved sections of input

SYNOPSIS
split [-b|--bytes] [-C|--line-bytes] [-l|--lines] [-n|--number] [--additional-suffix] [--filter] [-e|--elide-empty-files] [-d ] [--numeric-suffixes] [-x ] [--hex-suffixes] [-a|--suffix-length] [--verbose] [-h|--help] [-V|--version] [input] [prefix]

DESCRIPTION
Create output files containing consecutive or interleaved sections of input

OPTIONS

-b, --bytes=SIZE
    put SIZE bytes per output file

-C, --line-bytes=SIZE [default: 2]
    put at most SIZE bytes of lines per output file

-l, --lines=NUMBER [default: 1000]
    put NUMBER lines/records per output file

-n, --number=CHUNKS
    generate CHUNKS output files; see explanation below

--additional-suffix=SUFFIX [default: ]
    additional SUFFIX to append to output file names

--filter=COMMAND
    write to shell COMMAND; file name is $FILE (Currently not implemented for Windows)

-e, --elide-empty-files
    do not generate empty output files with '-n'

-d  use numeric suffixes starting at 0, not alphabetic

--numeric-suffixes
    same as -d, but allow setting the start value

-x  use hex suffixes starting at 0, not alphabetic

--hex-suffixes
    same as -x, but allow setting the start value

-a, --suffix-length=N [default: 0]
    use suffixes of fixed length N. 0 implies dynamic length.

--verbose
    print a diagnostic just before each output file is opened

-h, --help
    Print help

-V, --version
    Print version

[input] [default: -]

[prefix] [default: x]

EXTRA
Output fixed-size pieces of INPUT to PREFIXaa, PREFIXab, ...; default size is 1000, and default PREFIX is 'x'. With no INPUT, or when INPUT is -, read standard input.

VERSION
v0.0.21